<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/DefaultFrontend.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/MyBillingShippingPane.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/SystemArticle.inc.php" );

	require_once( $GLOBALS["site_root"] . "/includes/models/MyUser.inc.php" );
	
	class MyBillingShippingPage extends DefaultFrontend {
		protected $oMyBillingShippingPane;

		public function __construct( $id = "MyBillingShippingPage" , $parent = null , $pagetype = "billing_shipping"  ) {
			parent::__construct( $id , $parent , $pagetype );
			$mmm = new MyMemberModel();
			if ($mmm->isMemberLoggedin()) {
				$this->oMyBillingShippingPane = new MyBillingShippingPane( "content_widget" , $this );
			} else {
				$this->oMyBillingShippingPane = new SystemArticle( "content_widget" , $this , "sys_error_user_has_to_login" );
			}
		}
	}


?>
